//  Emacs, this is -*-pike-*-
//
//  $Id: Address.pike,v 1.5 2002/10/21 20:25:02 jnt Exp $
//

//! This module describes an IP.v4 address.
//! You can use this module by simply casting to an int or string.

static int ip;
static inherit "helpers";

//! Close the IP.v4.Address module.
//!
//! @param _ip
//!   An IP address.
//!
void create(int|string _ip) {
  if (intp(_ip))
    ip = _ip;
  else if (stringp(_ip))
    ip = iptoint(_ip);
}

string _sprintf() {
  return sprintf("IP.v4.Address(%O)", inttoip(ip));
}

//!
void|int|string cast(string type) {
  switch(type) {
  case "int":
    return ip;
  case "string":
    return inttoip(ip);
  }
}

int numeric() {
  return ip;
}
